Virtual machines
List VM images
The installer and disk images in the library every VM installs from, the VMs that use each, and the downloads in progress. Requires the **viewer** role.
curl -X GET "https://example.com/api/vm-images"{ "items": [ { "id": "string", "name": "string", "kind": "iso", "fileName": "string", "sizeBytes": 0, "sha256": "string", "templateID": "string", "sourceURL": "string", "createdAt": "2019-08-24T14:15:22Z", "inUseBy": [ "string" ] } ], "downloads": [ { "id": "string", "name": "string", "templateID": "string", "url": "string", "bytesReceived": 0, "totalBytes": 0, "state": "downloading", "error": "string", "imageID": "string" } ]}